Back out modular changes to makeshorewall

git-svn-id: https://shorewall.svn.sourceforge.net/svnroot/shorewall/trunk@4448 fbd18981-670d-0410-9b5c-8dc0c1a9a2bb
This commit is contained in:
teastep 2006-08-27 17:40:50 +00:00
parent 9c7daaf5ba
commit fa8fc4e935

View File

@ -33,28 +33,6 @@
#
# If no options are given, all options are assumed.
#
# The following environmental variables are used by the program:
#
# SAMPLES (value "Yes" or "No") -- Determines if the sample configurations
# are included in /usr/share/shorewall.
# Default is Yes.
#
# MACROS (value "Yes" or "No") -- Determines if the macro files
# are included in /usr/share/shorewall
# Default is Yes.
#
# CONFIGFILES (value "Yes" or "No")
# -- Determines if a copy of /etc/shorewall/*
# is included in /usr/share/shorewall/configfiles
# (Shorewall RPM)
# Default is Yes.
#
# XLIBS -- A space-separated list of run-time libraries
# to exclude from /usr/share/shorewall/.
#
# XCLIBS -- A space-separated list of compiler libraries
# to exclude from /usr/share/shorewall/.
#
# If <previous version> is given, a patch file reflecting the differences
# between that version and the current version ( <version> ) is
# generated. The directory ./shorewall-<previous version> must exist and
@ -83,14 +61,6 @@ DIR=$PWD
# location and options for GnuPG
#
GPG="/usr/bin/gpg -ab --batch --comment 'To verify this, you can download our public key at https://lists.shorewall.net/shorewall.gpg.key'"
#
# Libraries to include in the tarball
#
#XLIBS=""
#
# Compiler Libraries to exclude the tarball
#
#XCLIBS=""
################################################################################
# V A R I A B L E S
################################################################################
@ -115,7 +85,6 @@ BUILDHTML=
SAMPLESTAG=
HASLITE=
SIGN=
MODULAR=
################################################################################
# F U N C T I O N S
################################################################################
@ -268,7 +237,6 @@ case $VERSION in
XMLPROJ="docs-3.3"
SAMPLESTAG="trunk/Samples"
HASLITE=Yes
MODULAR=Yes
;;
*)
echo "Unsupported Version: $VERSION"
@ -276,60 +244,6 @@ case $VERSION in
;;
esac
if [ -n "$MODULAR" ]; then
#
# Include Samples
#
case ${SAMPLES:=Yes} in
Y*|y*)
;;
N*|n*)
SAMPLES=
;;
*)
echo " ERROR: Invalid value ($SAMPLES) for SAMPLES" >&2
exit 2
;;
esac
#
# Include configfiles
#
case ${CONFIGFILES:=Yes} in
Y*|y*)
;;
N*|n*)
CONFIGFILES=
;;
*)
echo " ERROR: Invalid value ($CONFIGFILES) for CONFIGFILES" >&2
exit 2
;;
esac
#
# Include macros
#
case ${MACROS:=Yes} in
Y*|y*)
;;
N*|n*)
MACROS=
;;
*)
echo " ERROR: Invalid value ($MACROS) for MACROS" >&2
exit 2
;;
esac
[ -n "${XLIBS:=}" ] || true
[ -n "${XCLIBS:=}" ] || true
else
XLIBS=
XCLIBS=
SAMPLES=Yes
CONFIGFILES=Yes
MACROS=Yes
fi
[ -d $DIR ] || { echo "Directory $DIR does not exist or is unaccessible" ; exit 2 ; }
progress_message "Distribution directory is $DIR"
@ -374,7 +288,7 @@ if [ -n "${BUILDTARBALL}${BUILDRPM}" ]; then
[ -n "$XCLIBS" ] && report "Excluding the following compiler libraries: $XCLIBS"
[ -n "$CONFIGFILES" ] && report "Including configuration files in /usr/share/shorewall/" || report "Excluding configuration files from /usr/share/shorewall/"
[ -n "$SAMPLES" ] && report "Including samples in /usr/share/shorewall/" || report "Excluding samples from /usr/share/shorewall/"
[ -n "$MACROS" ] && report "Including macros in /usr/share/shorewall/" || report "Excluding macros in /usr/share/shorewall/"
[ -n "$MACROS" ] && report "Including macros in /usr/share/shorewall/" || report "Excluding macros from /usr/share/shorewall/"
fi
[ -n "$BUILDHTML" ] && report "HTML Directory is $HTMLDIR"
@ -391,7 +305,6 @@ if [ -n "${BUILDTARBALL}${BUILDRPM}" ]; then
progress_message "Exporting $LITESVNBRANCH from SVN..."
do_or_die "svn export --non-interactive --force https://svn.sourceforge.net/svnroot/shorewall/$LITESVNBRANCH $SHOREWALLLITEDIR >> $LOGFILE 2>&1"
do_or_die "cp $SHOREWALLDIR/functions $SHOREWALLDIR/modules $SHOREWALLDIR/xmodules $SHOREWALLLITEDIR >> $LOGFILE 2>&1"
[ -n "$MODULAR" ] && do_or_die "cp $SHOREWALLDIR/lib.* $SHOREWALLLITEDIR >> $LOGFILE 2>&1"
fi
fgrep VERSION=$VERSION $SHOREWALLDIR/install.sh > /dev/null 2>&1 || fatal_error "install.sh has wrong version"
@ -419,26 +332,6 @@ if [ -n "${BUILDTARBALL}${BUILDRPM}" ]; then
progress_message "Creating $DIR/$TARBALL..."
for lib in $XLIBS; do
rm -f $SHOREWALLDIR/lib.${lib}
perl -p -w -i -e "s|.*/usr/share/shorewall/lib.${lib}\$||" $SHOREWALLDIR/shorewall.spec
perl -p -w -i -e "s|.*/usr/share/shorewall-lite/lib.${lib}\$||" $SHOREWALLLITEDIR/shorewall-lite.spec
done
for lib in $XCLIBS; do
rm -f $SHOREWALLDIR/clib.${lib}
perl -p -w -i -e "s|.*/usr/share/shorewall/clib.${lib}\$||" $SHOREWALLDIR/shorewall.spec
done
if [ -z "$MACROS" ]; then
rm -f $SHOREWALLDIR/macro.*
perl -p -w -i -e "s|.*/usr/share/shorewall/macro.*||" $SHOREWALLDIR/shorewall.spec
fi
if [ -z "$CONFIGFILES" ]; then
perl -p -w -i -e 's|^\./install.sh|\./install.sh -c|;s|.*configfiles.*||' $SHOREWALLDIR/shorewall.spec
fi
do_or_die "tar -zcvf $TARBALL $SHOREWALLDIR >> $LOGFILE 2>&1"
do_or_die "tar -jcvf shorewall-${VERSION%-*}.tar.bz2 $SHOREWALLDIR >> $LOGFILE 2>&1"
if [ -n "$SIGN" ]; then
@ -451,7 +344,6 @@ if [ -n "${BUILDTARBALL}${BUILDRPM}" ]; then
fi
if [ -n "$HASLITE" ]; then
progress_message "Creating $DIR/$LITETARBALL..."
[ -n "$MODULAR" ] && do_or_die "cp $SHOREWALLDIR/lib.* $SHOREWALLLITEDIR >> $LOGFILE 2>&1"
do_or_die "tar -zcvf $LITETARBALL $SHOREWALLLITEDIR >> $LOGFILE 2>&1"
do_or_die "tar -jcvf shorewall-lite-${VERSION%-*}.tar.bz2 $SHOREWALLLITEDIR >> $LOGFILE 2>&1"
if [ -n "$SIGN" ]; then